/*
 * Class NATURAL_16_REF
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_854 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_854 [] = {0xFF01,1551,853,0xFFFF};
static const EIF_TYPE_INDEX egt_2_854 [] = {0xFF01,853,0xFFFF};
static const EIF_TYPE_INDEX egt_3_854 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_854 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_854 [] = {0xFF01,853,0xFFFF};
static const EIF_TYPE_INDEX egt_6_854 [] = {0xFF01,853,0xFFFF};
static const EIF_TYPE_INDEX egt_7_854 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_854 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_854 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_854 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_854 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_854 [] = {0xFF01,853,0xFFFF};
static const EIF_TYPE_INDEX egt_13_854 [] = {0xFF01,853,0xFFFF};
static const EIF_TYPE_INDEX egt_14_854 [] = {0xFF01,853,0xFFFF};
static const EIF_TYPE_INDEX egt_15_854 [] = {0xFF01,853,0xFFFF};
static const EIF_TYPE_INDEX egt_16_854 [] = {0xFF01,580,0xFFFF};
static const EIF_TYPE_INDEX egt_17_854 [] = {0xFF01,853,0xFFFF};
static const EIF_TYPE_INDEX egt_18_854 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_19_854 [] = {0xFF01,853,0xFFFF};
static const EIF_TYPE_INDEX egt_20_854 [] = {0xFF01,853,0xFFFF};
static const EIF_TYPE_INDEX egt_21_854 [] = {0xFF01,853,0xFFFF};
static const EIF_TYPE_INDEX egt_22_854 [] = {0xFF01,853,0xFFFF};
static const EIF_TYPE_INDEX egt_23_854 [] = {0xFF01,853,0xFFFF};
static const EIF_TYPE_INDEX egt_24_854 [] = {0xFF01,853,0xFFFF};
static const EIF_TYPE_INDEX egt_25_854 [] = {0xFF01,853,0xFFFF};
static const EIF_TYPE_INDEX egt_26_854 [] = {0xFF01,853,0xFFFF};
static const EIF_TYPE_INDEX egt_27_854 [] = {0xFF01,853,0xFFFF};
static const EIF_TYPE_INDEX egt_28_854 [] = {0xFF01,853,0xFFFF};
static const EIF_TYPE_INDEX egt_29_854 [] = {0xFF01,853,0xFFFF};
static const EIF_TYPE_INDEX egt_30_854 [] = {0xFF01,853,0xFFFF};
static const EIF_TYPE_INDEX egt_31_854 [] = {0xFF01,853,0xFFFF};
static const EIF_TYPE_INDEX egt_32_854 [] = {0xFF01,853,0xFFFF};
static const EIF_TYPE_INDEX egt_33_854 [] = {0xFF01,914,0xFFFF};


static const struct desc_info desc_854[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_854), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_854), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21285, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_854), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_854), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_854), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_854), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_854), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_854), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_854), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_854), 21339, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_854), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_854), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06AB /*853*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_854), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21284, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6342, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6343, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6344, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6338, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_854), 6339, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_854), 6340, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06AD /*854*/), 21276, 0},
	{EIF_NON_GENERIC(0x06CB /*869*/), 21278, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D1 /*872*/), 21281, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06AD /*854*/), 21282, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06AD /*854*/), 21283, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 21286, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21290, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21291, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21292, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 21296, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_854), 21300, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 21301, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_854), 21302, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 21303, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_854), 21304, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21305, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D7 /*875*/), 21306, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06AD /*854*/), 21307, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 21308, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B9 /*860*/), 21309, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 21310, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06DD /*878*/), 21311, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 21312, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A1 /*848*/), 21313, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D7 /*875*/), 21314, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06AD /*854*/), 21315, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 21316, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B9 /*860*/), 21317, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 21318, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06DD /*878*/), 21319, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 21320, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A1 /*848*/), 21321, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B3 /*857*/), 21322, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 21323, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_854), 21324, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D1 /*872*/), 21325, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D1 /*872*/), 21326, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D1 /*872*/), 21327, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0695 /*842*/), 21328, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_854), 21329, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_854), 21330, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_854), 21331, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_854), 21332, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06AD /*854*/), 21333, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_854), 21334, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_854), 21335, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21336, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06AD /*854*/), 21337, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06AD /*854*/), 21338, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 21277, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21289, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_854), 21279, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_854), 21280, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21287, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21288, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_854), 21293, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_854), 21294, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_854), 21295, 0xFFFFFFFF},
	{EIF_GENERIC(egt_30_854), 21299, 0xFFFFFFFF},
	{EIF_GENERIC(egt_31_854), 21297, 0xFFFFFFFF},
	{EIF_GENERIC(egt_32_854), 21298, 0xFFFFFFFF},
	{EIF_GENERIC(egt_33_854), 21339, 0xFFFFFFFF},
};
void Init854(void)
{
	IDSC(desc_854, 0, 853);
	IDSC(desc_854 + 1, 1, 853);
	IDSC(desc_854 + 32, 1459, 853);
	IDSC(desc_854 + 36, 939, 853);
	IDSC(desc_854 + 39, 1178, 853);
	IDSC(desc_854 + 88, 700, 853);
	IDSC(desc_854 + 90, 171, 853);
	IDSC(desc_854 + 100, 224, 853);
}


#ifdef __cplusplus
}
#endif
